[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Package for Qt-Jambi?



I tried to build an RPM for Qt-Jambi, but I've collided with what I can only call a very shortsighted decision that I'm hoping is fixed within the next few versions of it.

It appears that Qt-Jambi requires a little extra from QTDIR than most Qt programs; that is, besides needing the tools like qmake and such in $QTDIR/bin, Qt-Jambi expects to find the program headers in $QTDIR/include, and starts to throw ClassNotFound errors if it doesn't find them. Apparently, this is intentional, though it makes the Qt-Jambi source completely incompatible with the general setup of Qt in MOST Linux distributions. Probably easier for the Windows users, though.

At any rate, it appears that Qt-Jambi will be unbuildable until the source is updated to allow other locations for the headers...


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]